CREATE TABLE atc_prod_offer_terms (
    PROD_OFFER_TERM_ID                NUMBER(18, 0) ,
    PROD_OFFER_TERM_NAME              VARCHAR2(800)     NOT NULL,
    MIN_DURATION_AMOUNT               NUMBER        ,
    PROD_OFFER_TERM_DESCRIPTION       VARCHAR2(4000),
    DURATION_AMOUNT                   NUMBER        ,
    DURATION_UNITS                    VARCHAR2(200) ,
    DEFAULT_FLAG                      VARCHAR2(4)   ,
    DEFAULTING_TERM_CODE              VARCHAR2(400) ,
    DURATION_TYPE_CODE                VARCHAR2(800) ,
    COMMITMNET_TERM_TYPE              VARCHAR2(800) ,
    EARLY_TERMINATION_OPTION_FLAG     VARCHAR2(4)   ,
    EARLY_TERMINATION_PENALTY_FLAG    VARCHAR2(4)   ,
    PENALTY_TYPE_CODE                 VARCHAR2(800) ,
    PENALTY_GRACE_PERIOD_APPL_FLAG    VARCHAR2(4)   ,
    INCLUDE_INTEREST_FLAG             VARCHAR2(4)   ,
    AUTO_RENEWAL_FLAG                 VARCHAR2(4)   ,
    SPECIFY_PENALTY_AS                VARCHAR2(800) ,
    PENALTY_PERCENTAGE                NUMBER(9, 2)  ,
    REDUCE_PENALTY_FLAG               VARCHAR2(4)   ,
    GRACE_PERIOD_DURATION             NUMBER(9, 0)  ,
    GRACE_PERIOD_UNITS                VARCHAR2(800) ,
    PAYMENT_TYPE_CODE                 VARCHAR2(800) ,
    CREDIT_CHECK_REQ_FLAG             VARCHAR2(4)   ,
    MINIMUM_TERM                      NUMBER        ,
    MINIMUM_TERM_PCNT                 NUMBER        ,
    MINIMUM_BALANCE                   NUMBER        ,
    MINIMUM_BALANCE_PCNT              NUMBER        ,
    MINIMUM_THRESHOLD                 NUMBER        ,
    MINIMUM_THRESHOLD_PCNT            NUMBER        ,
    SERVICE_SPEC_NAME                 VARCHAR2(800) ,
    SERVICE_ENTITLEMENT_NAME          VARCHAR2(800) ,
    SERVICE_ENTITLEMENT_TERM_NAME     VARCHAR2(800) ,
    AT_TYPE                           VARCHAR2(800) ,
    AT_BASE_TYPE                      VARCHAR2(800) ,
    AT_SCHEMA_LOCATION                VARCHAR2(4000),
    START_DATE_TIME                   TIMESTAMP(6)  ,
    END_DATE_TIME                     TIMESTAMP(6)  ,
    ENTITY_ID                         NUMBER(18, 0)     NOT NULL,
    ENTITY_NAME                       VARCHAR2(400)     NOT NULL,
    PRICE_LIST_PUID                   VARCHAR2(120) ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    PRICE_LIST_VERSION                VARCHAR2(80)  ,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    COMMITMENT_FLAG                   VARCHAR2(4)   ,
    COMP_CHARGE_FLAG                  VARCHAR2(4)   ,
    PROD_OFFER_TERM_ID                NUMBER(18, 0) ,
    PROD_OFFER_TERM_NAME              VARCHAR2(800)     NOT NULL,
    PROD_OFFER_TERM_DESCRIPTION       VARCHAR2(4000),
    DURATION_AMOUNT                   NUMBER        ,
    DURATION_UNITS                    VARCHAR2(200) ,
    AT_TYPE                           VARCHAR2(800) ,
    AT_BASE_TYPE                      VARCHAR2(800) ,
    AT_SCHEMA_LOCATION                VARCHAR2(4000),
    START_DATE_TIME                   TIMESTAMP(6)  ,
    END_DATE_TIME                     TIMESTAMP(6)  ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    EARLY_TERMINATION_OPTION_FLAG     VARCHAR2(4)   ,
    EARLY_TERMINATION_PENALTY_FLAG    VARCHAR2(4)   ,
    PENALTY_TYPE_CODE                 VARCHAR2(800) ,
    PENALTY_GRACE_PERIOD_APPL_FLAG    VARCHAR2(4)   ,
    AUTO_RENEWAL_FLAG                 VARCHAR2(4)   ,
    SPECIFY_PENALTY_AS                VARCHAR2(800) ,
    PENALTY_PERCENTAGE                NUMBER(9, 2)  ,
    REDUCE_PENALTY_FLAG               VARCHAR2(4)   ,
    GRACE_PERIOD_DURATION             NUMBER(9, 0)  ,
    GRACE_PERIOD_UNITS                VARCHAR2(800) ,
    PAYMENT_TYPE_CODE                 VARCHAR2(800) ,
    SERVICE_SPEC_NAME                 VARCHAR2(800) ,
    SERVICE_ENTITLEMENT_NAME          VARCHAR2(800) ,
    SERVICE_ENTITLEMENT_TERM_NAME     VARCHAR2(800) ,
    ENTITY_ID                         NUMBER(18, 0)     NOT NULL,
    ENTITY_NAME                       VARCHAR2(400)     NOT NULL,
    DEFAULT_FLAG                      VARCHAR2(4)   ,
    DEFAULTING_TERM_CODE              VARCHAR2(400) ,
    CREDIT_CHECK_REQ_FLAG             VARCHAR2(4)   ,
    MINIMUM_TERM                      NUMBER        ,
    MINIMUM_TERM_PCNT                 NUMBER        ,
    MINIMUM_BALANCE                   NUMBER        ,
    MINIMUM_BALANCE_PCNT              NUMBER        ,
    COMMITMNET_TERM_TYPE              VARCHAR2(800) ,
    MINIMUM_THRESHOLD                 NUMBER        ,
    MINIMUM_THRESHOLD_PCNT            NUMBER        ,
    PRICE_LIST_PUID                   VARCHAR2(120) ,
    PRICE_LIST_VERSION                VARCHAR2(80)  ,
    DURATION_TYPE_CODE                VARCHAR2(800) ,
    COMMITMENT_FLAG                   VARCHAR2(4)   ,
    COMP_CHARGE_FLAG                  VARCHAR2(4)   ,
    MIN_DURATION_AMOUNT               NUMBER        ,
    INCLUDE_INTEREST_FLAG             VARCHAR2(4)   ,
    CONSTRAINT pk_atc_prod_offer_terms PRIMARY KEY (PROD_OFFER_TERM_ID, PROD_OFFER_TERM_ID)
);
